Bug 1549015 - [RFE] timemaster does not support bonding
Summary: [RFE] timemaster does not support bonding
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: linuxptp
Version: 7.7
Hardware: x86_64
OS: Linux
high
low
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact: Qiao Zhao
Marie Dolezelova
URL:
Whiteboard:
Depends On:
Blocks: 1549614
TreeView+ depends on / blocked
 
Reported: 2018-02-26 08:56 UTC by Daniele
Modified: 2018-10-30 09:48 UTC (History)
4 users (show)

Fixed In Version: linuxptp-1.8-6.el7
Doc Type: Release Note
Doc Text:
*timemaster* now supports bonding devices The *timemaster* program can be used to synchronize the system clock to all available time sources in case that there are multiple PTP domains available on the network, or fallback to NTP is needed. This update adds the possibility to specify bonding devices in the active-backup mode in the timemaster configuration file. *timemaster* now checks if the active interface supports software or hardware timestamping and starts *ptp4l* on the bonding interface.
Clone Of:
Environment:
Last Closed: 2018-10-30 09:48:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:3102 None None None 2018-10-30 09:48:23 UTC

Description Daniele 2018-02-26 08:56:46 UTC
When creating a timemaster configuration which will use bonding devices for ptp4l, timemaster will refuse to start.

Comment 6 Miroslav Lichvar 2018-04-13 15:15:48 UTC
Patches submitted upstream:
https://www.mail-archive.com/linuxptp-devel@lists.sourceforge.net/msg02668.html

Comment 7 Miroslav Lichvar 2018-04-20 08:52:03 UTC
The patches have been accepted.

Comment 19 errata-xmlrpc 2018-10-30 09:48:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:3102


Note You need to log in before you can comment on or make changes to this bug.